/* dirtree.h - Directory tree widget
 * 
 *  Bronco File Manager
 * 
 *  Copyright (c) 2000, 2001 Kevin Worcester
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 *  USA.
 */

#ifndef DIRTREEH
#define DIRTREEH

#include <stdio.h>
#include <stdlib.h>
#include <qapplication.h>
#include <qlistview.h>
#include "diritem.h"

class DirTree : public QListView{
      Q_OBJECT

   public:
      DirTree(QWidget *, char *name);

      //   void resizeEvent(QResizeEvent *);
      int addRoot(char *);
      int refresh();

   public slots:
      void refreshTree(void);
      void newCurrentItem(QListViewItem *);
      void setDir(const char *);
      void openDir(const char *);

   signals:
      void currentChanged(DirItem *);

   protected:

};

#endif // DIRTREEH
