/* errlist.h - Generic window for editing lists
 * 
 *  Bronco File Manager
 * 
 *  Copyright (c) 2000, 2001 Kevin Worcester
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 *  USA.
 */

#ifndef ERRLIST_H
#define ERRLIST_H

#include <qvariant.h>
#include <qwidget.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QListView;
class QListViewItem;
class QPushButton;

class ErrList : public QWidget
{ 
   Q_OBJECT

   public:
      ErrList( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
      virtual ~ErrList();

      void addColumn(const QString &, int width = -1);
      int  items(void);
      void addItem(QStringList & );
      void getItem(int n, QStringList & );
      void clear();

   public slots:
      virtual void deleteClicked();
      virtual void editClicked();
      virtual void editClicked(QListViewItem *);
      virtual void newClicked();
      virtual void downClicked();
      virtual void upClicked();
      virtual void loadLogList();

   protected:
      QHBoxLayout* Layout2;
      QVBoxLayout* ErrListLayout;

      QPushButton* up_b;
      QPushButton* down_b;
      QPushButton* edit_b;
      QPushButton* new_b;
      QPushButton* delete_b;
      QListView* list_v;

      QListViewItem *m_last;
};

#endif // ERRLIST_H
