/* fifotext.cpp - Text window for Bronco helpers
 * 
 *  Bronco File Manager
 * 
 *  Copyright (c) 2000, 2001 Kevin Worcester
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 *  USA.
 */

#include "fifotext.h"

#include <qmultilineedit.h>
#include <qpushbutton.h>
#include <qlayout.h>
#include <qvariant.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

FifoText::FifoText( int childPid )
    : QDialog( NULL, "", false, 0 )
{
   resize( 596, 480 ); 
   setCaption( tr( "Bronco Helper" ) );
   FifoTextLayout = new QVBoxLayout( this ); 
   FifoTextLayout->setSpacing( 6 );
   FifoTextLayout->setMargin( 11 );

   text_v = new QMultiLineEdit( this, "text_v" );
   text_v->setReadOnly( true );
   FifoTextLayout->addWidget( text_v );

   Layout1 = new QHBoxLayout; 
   Layout1->setSpacing( 6 );
   Layout1->setMargin( 0 );
   QSpacerItem* spacer = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
   Layout1->addItem( spacer );

   ok_b = new QPushButton( this, "ok_b" );
   ok_b->setText( tr( "Ok" ) );
   ok_b->setDefault( true );
   Layout1->addWidget( ok_b );

   QSpacerItem* spacer_2 = new QSpacerItem( 20, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
   Layout1->addItem( spacer_2 );
   FifoTextLayout->addLayout( Layout1 );

   m_childPid = childPid;

   connect( ok_b, SIGNAL( clicked() ), this, SLOT( accept() ) );

   this->show();
}

FifoText::~FifoText()
{
}

void FifoText::appendText(const QString &s )
{
   text_v->append( s );
}

void FifoText::hide()
{
   emit closeFifoText( m_childPid );

   QDialog::hide();
}
