/* fifotext.h - Text window for Bronco helpers
 * 
 *  Bronco File Manager
 * 
 *  Copyright (c) 2000, 2001 Kevin Worcester
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 *  USA.
 */

#ifndef FIFOTEXT_H
#define FIFOTEXT_H

#include <qvariant.h>
#include <qdialog.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QMultiLineEdit;
class QPushButton;

class FifoText : public QDialog
{ 
   Q_OBJECT

   public:
      FifoText( int childPid );
      virtual ~FifoText();

      QMultiLineEdit* text_v;
      QPushButton* ok_b;

   signals:
      void closeFifoText(int);

   public slots:
      virtual void appendText(const QString &);

   public slots:
      virtual void hide(void);

   protected:
      QVBoxLayout* FifoTextLayout;
      QHBoxLayout* Layout1;

      int m_childPid;
};

#endif // FIFOTEXT_H
