/* find.h - Routines for pattern matching and file search
 * 
 *  Bronco File Manager
 * 
 *  Copyright (c) 2000, 2001 Kevin Worcester
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 *  USA.
 */

#ifndef FIND_H
#define FIND_H

#include "llist.h"
#include "kregex.h"

#define FIND_REC  1
#define FIND_CASE 2
#define FIND_REG  4
#define FIND_SEL  8

int match(const char *, const char *);
int findFile(const char *, const char *, LinkedList *, FILE *);
void setFindPrefs(int);
int getFindPrefs(void);
int getFindError(void);

#endif // FIND_H
