/* findwin.h - Window for searching
 * 
 *  Bronco File Manager
 * 
 *  Copyright (c) 2000, 2001 Kevin Worcester
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 *  USA.
 */

#ifndef FINDWINH
#define FINDWINH

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <qaccel.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qcheckbox.h>
#include <qlayout.h>

class QPushButton;
class DirList;

class FindWin : public QWidget {
      Q_OBJECT

   public:
      FindWin(QWidget *, const char *);
      virtual ~FindWin();

      void setDir(const char *);

   public slots:
      void doSearch(void);
      void hide(void);
      void setFindPid(int);

   protected slots:
      void updateSearchIn(const QString &);
      void readTimeout(void);
      void cancelClicked(void);

   protected:
      void resizeEvent(QResizeEvent *e);

      FILE * find_fp;
      int    find_pid;

      DirList *list;

      QLineEdit *what_v;
      QLineEdit *where_v;

      QCheckBox *regex_v;
      QCheckBox *case_v;
      QCheckBox *recurse_v;

      QPushButton *search_b;
      QPushButton *cancel_b;

      QLabel *what_l;
      QLabel *where_l;

      QVBoxLayout* GrepWinLayout;
      QGridLayout* Layout2;
      QHBoxLayout* Layout1;

      QTimer * read_t;
};

#endif // FINDWINH
