/* globedit.h - Edit a command glob
 * 
 *  Bronco File Manager
 * 
 *  Copyright (c) 2000, 2001 Kevin Worcester
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 *  USA.
 */

#ifndef GLOBEDIT_H
#define GLOBEDIT_H

#include <qvariant.h>
#include <qdialog.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QLabel;
class QLineEdit;
class QPushButton;
class QString;

class GlobEdit : public QDialog
{ 
   Q_OBJECT

   public:
      GlobEdit( QWidget* parent = 0, const char* name = 0);
      virtual ~GlobEdit();

      QString getGlob();
      QString getCommand();
      void setGlob(QString);
      void setCommand(QString);

   protected slots:
      void okClicked();

   protected:
      QHBoxLayout* hbox;
      QGridLayout* grid;
      QLabel* command_l;
      QLineEdit* command_v;
      QLabel* glob_l;
      QLineEdit* glob_v;
      QPushButton* ok_b;
      QPushButton* cancel_b;
};

#endif // GLOBEDIT_H
