/* globwin.h - Window for modifying command globs
 * 
 *  Bronco File Manager
 * 
 *  Copyright (c) 2000, 2001 Kevin Worcester
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 *  USA.
 */

#ifndef GLOBWIN_H
#define GLOBWIN_H

#include <qvariant.h>
#include <qdialog.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QListView;
class QListViewItem;
class QPushButton;

class GlobWin : public QDialog
{ 
    Q_OBJECT

public:
    GlobWin( QWidget* parent = 0, const char* name = 0);
    virtual ~GlobWin();

    QListView* glob_l;
    QPushButton* new_b;
    QPushButton* delete_b;
    QPushButton* close_b;

public slots:
    void newGlob();
    void editGlob(QListViewItem *);
    void deleteGlob();
    void openWindow();
    void hide();

protected:
    QHBoxLayout* hbox;
    QVBoxLayout* vbox;
};

#endif // GLOBWIN_H
