/* itemedit.h - Generic window for editing items of a list
 * 
 *  Bronco File Manager
 * 
 *  Copyright (c) 2000, 2001 Kevin Worcester
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 *  USA.
 */

#ifndef ITEMEDIT_H
#define ITEMEDIT_H

#include <qvariant.h>
#include <qdialog.h>
#include <list>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QLabel;
class QLineEdit;
class QPushButton;

typedef list<QLineEdit *> LineEditList;

class ItemEdit : public QDialog
{ 
   Q_OBJECT

   public:
      ItemEdit( QWidget* parent = 0, const char* name = 0, bool modal = true, WFlags fl = 0 );
      virtual ~ItemEdit();

      void setLabels( QStringList & list );
      void setValues( QStringList & list );
      void getValues( QStringList & list );

   public slots:

   protected:
      QVBoxLayout* ItemEditLayout;
      QGridLayout* Layout3;
      QHBoxLayout* Layout4;

      QLineEdit* value_1;
      QLabel* label_2;
      QLineEdit* value_2;
      QLabel* label_1;
      QPushButton* ok_b;
      QPushButton* cancel_b;

      LineEditList m_valueList;

};

#endif // ITEMEDIT_H
