/* llist.h - Linked list of strings
 * 
 *  Bronco File Manager
 * 
 *  Copyright (c) 2000, 2001 Kevin Worcester
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 *  USA.
 */

#ifndef LLIST_H
#define LLIST_H

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

struct linked_list{
   char *string;
   struct linked_list *next;
   struct linked_list *prev;
};

typedef struct linked_list LList;

class LinkedList {

   public:
      LinkedList();
      virtual ~LinkedList();

      int add(const char *);
      int del(const char *);
      int del(void);
      int first(char *);
      int next(char *);
      int find(const char *);
      void clear();
      void print();

   protected:
      int compare(const char *, const char *);

      LList *top;
      LList *cur;
};

#endif /* LLIST_H */
