/* openwith.h - Modal prompt for a single line of input
 * 
 *  Bronco File Manager
 * 
 *  Copyright (c) 2000, 2001 Kevin Worcester
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 *  USA.
 */

#ifndef OPWITH_H
#define OPWITH_H

#include <qapplication.h>
#include <qdialog.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qlineedit.h>
#include <qcombobox.h>
#include "bronco.h"

class OpenWith : public QDialog{

   public:
      OpenWith(QWidget *, char *);
      QString getInput(void);
      int setInput(const char *);
      int setText(const char *);

   protected:
      void resizeEvent(QResizeEvent *);

      QLabel      *text;
      QComboBox   *input;
      QPushButton *ok;
      QPushButton *cancel;
};

#endif // OPWITH
