/* prefwin.h - Bronco Preferences Window
 * 
 *  Bronco File Manager
 * 
 *  Copyright (c) 2000, 2001 Kevin Worcester
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 *  USA.
 */

#ifndef PREFWINH
#define PREFWINH

#include <qvariant.h>
#include <qdialog.h>
class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QButtonGroup;
class QCheckBox;
class QComboBox;
class QLabel;
class QLineEdit;
class QPushButton;
class QRadioButton;
class QTabWidget;
class QWidget;
class ListEdit;
class QFrame;

class PrefWin : public QDialog{
      Q_OBJECT

   public:
      PrefWin(QWidget *, char *);
      virtual ~PrefWin();

   public slots:
      void openWindow(void);
      void cancelPressed(void);
      void okPressed(void);
      void changeFont(void);

   signals:
      void preferencesChanged(void);
      void fontChanged(void);

   protected:
      QTabWidget* prefs_tab;
      QWidget* tab;
      QButtonGroup* date_g;
      QButtonGroup* dir_g;
      QFrame* font_g;
      QCheckBox* dayfirst_box;
      QCheckBox* fourdigit_box;
      QButtonGroup* sort_g;
      QRadioButton* asciion_box;
      QRadioButton* asciioff_box;
      QWidget* tab_2;
      QCheckBox* dirsfirst_box;
      QCheckBox* dirreverse_box;
      QCheckBox* showdot_box;
      QCheckBox* treedots_box;
      QCheckBox* showerrors_v;
      QCheckBox* numbershortcuts_v;
      QWidget* tab_3;
      QButtonGroup* confirm_g;
      QCheckBox* copy_box;
      QCheckBox* overwrite_box;
      QCheckBox* delete_box;
      QCheckBox* move_box;
      QCheckBox* continue_box;

      int fontsize_v;
      char family[64];
      bool newFont;

      /*
      QWidget* tab_4;
      QButtonGroup* find_g;
      QCheckBox* findcase_v;
      QCheckBox* findregex_v;
      QCheckBox* findrecursive_v;
      */
      QWidget* tab_5;
      QButtonGroup* extract_g;
      QCheckBox* taroverwrite_v;
      QCheckBox* tarmodification_v;
      QButtonGroup* create_g;
      QLabel* compression_l;
      QComboBox* compression_v;
      QWidget* tab_launch;
      ListEdit* launch_v;
      QWidget* tab_6;
      QLineEdit* xterm_v;
      QLabel* xterm_l;
      QLineEdit* grep_v;
      QLabel* grep_l;
      QLabel* font_v;
      QPushButton* font_b;
      QPushButton* ok_button;
      QPushButton* cancel_button;

      QVBoxLayout* PrefWinLayout;
      QVBoxLayout* tabLayout;
      QVBoxLayout* date_gLayout;
      QVBoxLayout* dir_gLayout;
      QVBoxLayout* sort_gLayout;
      QVBoxLayout* tabLayout_2;
      QVBoxLayout* tabLayout_3;
      QGridLayout* confirm_gLayout;
      QVBoxLayout* tabLayout_4;
      QVBoxLayout* find_gLayout;
      QVBoxLayout* tabLayout_5;
      QVBoxLayout* extract_gLayout;
      QHBoxLayout* create_gLayout;
      QGridLayout* tabLayout_launch;
      QGridLayout* tabLayout_6;
      QHBoxLayout* font_gLayout;
      QHBoxLayout* Layout5;
      QHBoxLayout* Layout6;
};

#endif /* PREFWINH */
