/* tardlg.h - Tar Creation Dialog
 * 
 *  Bronco File Manager
 * 
 *  Copyright (c) 2000, 2001 Kevin Worcester
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 *  USA.
 */

#ifndef TARDLG_H
#define TARDLG_H

#include <qvariant.h>
#include <qdialog.h>
#include "prefs.h"

class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QComboBox;
class QLabel;
class QLineEdit;
class QPushButton;

class TarDlg : public QDialog
{ 
   Q_OBJECT

   public:
      TarDlg( QWidget* parent = 0, const char* name = 0, bool modal = true, WFlags fl = 0 );
      virtual ~TarDlg();

      const QString getFilename(void);
      TarCompression getCompression(void);

      void setFilename( const QString & );
      bool setCompression( const QString & );
      bool setCompression( TarCompression );

   public slots:
      virtual void compressionChanged( int );
      virtual void show( void );

   protected:
      QVBoxLayout* TarDlgLayout;
      QHBoxLayout* Layout1;
      QHBoxLayout* Layout4;
      QHBoxLayout* Layout3;

      QLabel* filename_l;
      QLineEdit* filename_v;
      QLabel* compression_l;
      QComboBox* compression_v;
      QPushButton* create_b;
      QPushButton* cancel_b;

};

#endif // TARDLG_H
