/* tarwin.h - Window for view tar archives
 * 
 *  Bronco File Manager
 * 
 *  Copyright (c) 2000, 2001 Kevin Worcester
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 *  USA.
 */

#ifndef TARWINH
#define TARWINH

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <qwidget.h>

class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QCheckBox;
class QLabel;
class QLineEdit;
class QListView;
class QListViewItem;
class QPushButton;

class DirList;

int isTarFile(const char *);
int isTarDir(char *);
int inCurrentDir(const char *);

class TarWin : public QWidget {
      Q_OBJECT

   public:
      TarWin(QString, QWidget *, const char *);
      virtual ~TarWin();

   public slots:
      void doUntar(void);

   protected:
      void resizeEvent(QResizeEvent *e);

      QString file;
      QLabel* where_l;
      QLineEdit* where_v;
      QPushButton* untar_b;
      QCheckBox* overwrite_v;
      QCheckBox* permission_v;
      QCheckBox* selected_v;
      QCheckBox* modification_v;
      DirList *list;

      QVBoxLayout* TarWinLayout;
      QHBoxLayout* Layout1;
      QHBoxLayout* Layout8;
      QVBoxLayout* Layout7;
      QVBoxLayout* Layout6;
};

#endif // TARWINH
