/* using.cpp - Bronco program help widget
 * 
 *  Bronco File Manager
 * 
 *  Copyright (c) 2000, 2001 Kevin Worcester
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 *  USA.
 */

char using_text[] = "<html><body>

<a name=\"contents\">
<h1>Contents</h1>

<ul>
   <li> <a href=\"#intro\">      Introduction </a>
   <li> <a href=\"#navigation\"> File system navigation </a>
   <li> <a href=\"#files\">      Managing Files </a>
   <li> <a href=\"#windows\">    Managing Windows </a>
   <li> <a href=\"#config\">     Configuration </a>
   <li> <a href=\"#features\">   Other Features </a>
</ul>

<a name=\"intro\">
<h1>Introduction</h1>

<p>Bronco is a Qt-based, two-pane file manager.  It has a directory 
tree on the left and a directory listing on the right.  It allows you
to do all common file management tasks, copying, moving, deleting, searching,
and more.</p>

<p>Design goals:</p>

<ul>
  <li> Quick file system navigation
  <li> Make features accessable from the keyboard
</ul>

<p>Bronco is not (and never will be):</p>

<ul>
  <li> A desktop environment
  <li> An ftp, http, or email client
  <li> An operating system
</ul>

<p>[<a href=\"#contents\">contents</a>]</p>

<a name=\"navigation\">
<h1> File System Navigation </h1>

<p>Bronco is designed to make file system navigation fast.</p>

<p><b>Keyboard navigation.</b> Typing
in the directory listing will change the currently
selected item to match what you have typed.  Pressing enter
will open files or change directories.  Multiple files can
be selected with the arrow keys by holding the shift key.</p>

<p>Other directory shortcut keys include / for the root directory,
.. for the parent directory, ~ for your home directory, and
- for the previous directory.</p>

<p>The numeric keys 0-9 are shortcuts to directories.  To set
a shortcut, open a directory list window for the directory and
press Ctrl-# where # is the number for the shortcut.  To
return to this directory, simply press the shortcut number.
This may interfere with normal typing in the directory list 
window.  For this reason, you may disable this feature.</p>

<p><b>Mouse navigation.</b> Navigation is simple with the mouse.  
Clicking in the directory
tree will change the current directory of the directory list
in the main window.
Changing directories in the main window's directory list will 
change the directory tree's current selection.</p>

<p>You can go to a dirlist's parent directory by clicking the 
middle mouse button.  This is not intuitive, but it can be
very conveneint.  You can navigate the entire file system 
without removing the mouse from the directory list.</p>

<p>You cannot remove numeric shortcuts (well, you can if you
want to edit the config file $HOME/.bronco/broncorc by hand).</p>

<p>[<a href=\"#contents\">contents</a>]</p>

<a name=\"files\">
<h1>Managing Files</h1>

<p>Copying and moving files works the same as it does in Windows
Explorer.  I always hated the analogy of 'cut and paste' for the
file system, but I grew to appreciate the convenience of 
the implementation.</p>

<p>You can select files by clicking the left mouse button or
holding the left mouse button down and dragging along the file list.  You
can also use the shift key to select all files between the mouse and
currently selected file, or use the Ctrl key to select or unselect multiple 
files.  With the keyboard you use the up and down arrows to change the currently
selected files.  If you hold shift, the files you arrow over will stay
selected.  You can use Select-&gt;Select Mask to select all files that
match a shell-style glob pattern (ie, *.txt).  Note that the select
mask does not clear the current selection, so select masks are cumulative.
The shortcut for Select Mask is Ctrl-S.</p>

<p>To copy files, select the files and choose Selection-&gt;Copy.
Go to the target directory and select Selection-&gt;Paste.  To move,
select Selection-&gt;Move and then Selection-&gt;Paste.  The Ctrl-X,
Ctrl-C, and Ctrl-V keyboard shorcuts make this process quick.</p>

<p>Note that when you select copy or move, the file names you have
selected are copied to the global clipboard, so you can paste
the names into other applications.</p>

<p>To change file permissions use Selection-&gt;Change Permissions.  
This will open
a dialog box with tri-state check boxes.  Checks mean that all 
files have this attribute turned on, blanks mean all files have 
this attribute turned off, and gray boxes mean that some are on 
and some are off.  Changing a box will set the attributes for 
all selected files.  Changing a box to gray will leave this
attribute unchanged for all selected files.</p>

<p>You cannot change file permissions from the 'Properties'
dialog box.  The checkboxes in this dialog are read-only.</p>

<p>[<a href=\"#contents\">contents</a>]</p>

<a name=\"windows\">
<h1>Managing Windows</h1>

<p>Bronco can have many windows open at once.  The main window
always contains a menu bar at the top, a directory tree on the
left, and a directory list on the right.  If you attempt to 
run Bronco while another instance is already running, the new
instance will tell Bronco to open a new window with a directory
list.</p>

<p>You can also open a floating directory list at any time by
selecting File-&gt;New Window or pressing Ctrl-N.  The floating
directory lists share \"clipboards\" so you can copy and paste
between them.</p>

<p>Bronco's find, grep, and tar browsing features also have
separate windows.  Most windows can by closed by pressing Ctrl-W.  
Most windows
will also cause Bronco to quit if you press Ctrl-Q.  It is 
unfortunate that Qwerty keyboards have the W and Q keys so
close together.  Most windows will remember their size between
Bronco sessions.</p>

<p>[<a href=\"#contents\">contents</a>]</p>

<a name=\"config\">
<h1>Configuration</h1>

<p>Settings-&gt;Preferences presents a dialog box which allows
you to change some aspects of Bronco's appearance and behavior.  
You can change sorting rules and directory presentation, enable
and disable confirmations, set defaults for creating and opening
tar archives, and customize the commands to launch external 
programs.
</p>

<p>Settings-&gt;File Associations opens a dialog box which 
associates shell-style file globs with external programs.
The command column allows wildcard characters.  The available
characters are listed below:</p>

<ul>
<li> $F - File name.  Each file will be given to separate executions of
the specified program.  This is useful to open several documents in separate
instances of a program.
An upper-case F is the full path whenever possible.  A lower-case F is
the relative path whenever possible.  If the requested path is unavailable,
the other will be used.
<li> $L - File list.  All files will be used as arguments to one execution
of the specified program.  This is useful to open all documents in one instance
of a program.  An upper-case L is the full path whenever possible.  A lower-case
L is the relative path whenever possible.  If the requested path is unavailable,
the other will be used.
<li> $d - The current directory.  The full path of the current directory, when
available.  Otherwise, it will be /.  
<li> $n - Line number.  This is only used when opening programs from the
Grep window.  The line number associated with the file to be opened will
be passed to the program in place of $n.  If the line number is unavailable,
0 (zero) will be substituted.
<li> $p - Prompt for arguments.  This will prompt the user for additional
arguments on every execution of the specified program.

</ul>

<p>[<a href=\"#contents\">contents</a>]</p>

<a name=\"features\">
<h1> Other Features </h1>

<p> Selecting File-&gt;New Window will open a new window with a 
directory listing.  It behaves just like the dirlist in the
main window except that the directory is not changed by 
a selection change in the dirtree.  The shortcut to open
a new window is Ctrl-N. </p>

<p> Selecting File-&gt;New Shell will open an xterm in the current 
directory.  The actual \"xterm\" program is customizable.  See
Settings-&gt;Preferences-&gt;Programs.  
The shortcut to open a new shell is Ctrl-S. </p>

<p> Selecting File-&gt;Find will open a window to search the file system.
Currently it will support simple shell-style globs and regular
expressions.  More functionality may be added later, such as 
searching by time, size, permissions, ownership, etc.  
Shortcut is Ctrl-F. </p>

<p> Selecting File-&gt;Grep will allow you run a grep on all
files in a directory or selected files.  This grep may be
recursive or case-sensitive.  Each matching line of a text file
is represented by a row in the grep window.  The row contains the
file name, the matching line number, and the text of the matching 
line.  Double-clicking or pressing enter on the item will launch
the \"GrepEdit\" program (Settings-&gt;Preferences&gt;Programs) or
the default program for that file type as specified in the File
Associations.  If the command to open the file contains the $n
wildcard, Bronco will replace $n with the current line number, allowing
external programs to open the file to the specified line number.
The shortcut for grep is Ctrl-G. </p>

<p>A tar archive can be created by selecting the files or 
directories to be included in the archive and select 
File-&gt;New Archive.  Bronco can create archives with compress,
gzip, and bzip2 (using external programs).  Shortcut is Ctrl-T.</p>

<p>You can view tar archives with Bronco's archive viewer (which uses
an external tar program).  Simply
double-click or press Enter on an archive.  This will open a floating
window that allows you to view the contents of the archive and extract
some or all of the files it contains.  Tar's archive viewer also supports
the compress, gzip, and bzip2 compression formats.</p>

<p>You can mount and unmount file systems by pressing Ctrl-M
on the directory in the dirlist window.  This feature is
very simple and mostly unecessary when using automount
for removable devices.</p>

<p>Bronco has a FIFO (named pipe) API which allows programs
to have limited interaction with Bronco.  This enables the
user to write custom commands or extensions to Bronco.  
For example, you could select a list of mp3s and choose a custom
command called \"Make Index\".  \"Make Index\" would open a user-written
program that could ask Bronco to prompt for a file name, create
an HTML index based on mp3 id tags, and notify the user when
the process is complete.  This is only a simple example of a
helper application.  See the Bronco Helper API documentation 
for details.</p>

</body></html>
";

#include <qaccel.h>
#include "using.h"

Using::Using(QWidget *parent, char *name) : QTextBrowser(parent, name){
   setCaption("Help: Using Bronco");
   setMinimumSize(400, 300);
   resize(500, 380);
   setText(using_text);
   setFont(QFont("Arial"));

   QAccel * accel = new QAccel(this);
   accel->connectItem(accel->insertItem(Key_W+CTRL),       this, SLOT(close()));

   return;
}

void Using::show()
{
   home();
   scrollToAnchor("contents");
   QTextBrowser::show();
}
